---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/knowledge/knowledge-bases#article
headline: Knowledge Bases endpoints
description: Overview of Knowledge API (v2) - Knowledge Bases endpoints
url: https://www.twilio.com/docs/api/knowledge/knowledge-bases
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Knowledge Bases endpoints

> \[!NOTE]
>
> Enterprise Knowledge, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the [Predictive and Generative AI/ML Features Addendum](https://www.twilio.com/en-us/legal/ai-terms/predictive-generative-ai-features). For more details on AI usage and data, see the [AI Nutrition Facts](/docs/conversations/knowledge/nutrition-facts).
>
> Enterprise Knowledge is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Endpoints

* [`POST /v2/ControlPlane/KnowledgeBases`](/docs/api/knowledge/knowledge-bases/create-knowledge-base) - Create a Knowledge Base
* [`GET /v2/ControlPlane/KnowledgeBases`](/docs/api/knowledge/knowledge-bases/list-knowledge-bases) - List Knowledge Bases
* [`GET /v2/ControlPlane/KnowledgeBases/{kbId}`](/docs/api/knowledge/knowledge-bases/fetch-knowledge-base) - Retrieve a Knowledge Base
* [`PATCH /v2/ControlPlane/KnowledgeBases/{kbId}`](/docs/api/knowledge/knowledge-bases/update-knowledge-base) - Update a Knowledge Base
* [`DELETE /v2/ControlPlane/KnowledgeBases/{kbId}`](/docs/api/knowledge/knowledge-bases/delete-knowledge-base) - Delete a Knowledge Base
